/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Mobiles\Special\ServantOfSemidar.cs
Lines of code: 46
***********************************************************/


using System;
using Server;

namespace Server.Mobiles
{
	public class ServantOfSemidar : BaseCreature
	{
		[Constructable]
		public ServantOfSemidar() : base( AIType.AI_Melee, FightMode.Closest, 10, 3, 1, 1.5 )
		{
			Name = "servant of Semidar";
			Body = 0x26;
			
     		SetHits( 100 );

			SetDamage( 100, 200 );			
			
			SetResistance( ResistanceType.Physical, 150 );
			SetResistance( ResistanceType.Fire, 150 );
			SetResistance( ResistanceType.Cold, 150 );
			SetResistance( ResistanceType.Poison, 150 );
			SetResistance( ResistanceType.Energy, 150 );

			SetSkill( SkillName.MagicResist, 1000.0 );
			SetSkill( SkillName.Tactics, 1000.0 );
			SetSkill( SkillName.Wrestling, 1000.0 );				
		}



		public override bool CanBeDamaged()
		{
			return false;
		}

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );

			list.Add( "Unslaved Destroyer" ); 
		}

		public ServantOfSemidar( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}